For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Overview
      • Architecture
        • GETCurrent User Info
          • GETCheck cache service status
          • GETTest cache lookup for a device
          • GETList all devices
          • GETSearch devices by name with latest config info
          • DELPermanently delete all configs for a device
          • GETGet database statistics
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesConfig Store ServiceConfig Store APIadmin

Permanently delete all configs for a device

||View as Markdown|
DELETE
https://host.com/v1/admin/devices/:device_uuid
DELETE
/v1/admin/devices/:device_uuid
$curl -X DELETE https://host.com/v1/admin/devices/device_uuid \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "deleted_versions": 12,
3 "device_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "message": "Successfully deleted all configuration versions for device 3fa85f64-5717-4562-b3fc-2c963f66afa6."
5}

Permanently delete all configuration files and version history for a device.

This action cannot be undone. All config versions (intended and backup) for the specified device will be removed from the database.

Previous

Search devices by name with latest config info

Next

Get database statistics

Path parameters

device_uuidstringRequiredformat: "uuid"

Response

Successful Response
deleted_versionsinteger
Number of config versions deleted
device_uuidstring
Device UUID
messagestring

Human-readable result message

Errors

422
Unprocessable Entity Error